#include <string.h>
#define __LITLE_ENDIAN__
/* Needs some routines to do byte shuffling around for a case of
   nonintel processors */



#ifdef __LITLE_ENDIAN__
void convert_char_to_float(long Nfloat, char * c, float * a) {
  /* supposed to work only when processor on device
     and on computer have the same endianness.
     It is Ok in most cases, as most devices use 
     some kind of 80x86 processor and gpib lib works 
     on Intel Linux only. Be careful with rGPIB, thugh */

  memcpy((void *)a, (void *)c, (size_t)(4*Nfloat));
  
}

void convert_char_to_short(long Nshort, char *c, short *a) {
    memcpy((void *)a, (void *)c, (size_t)(2*Nshort));
  
}

#else
#error Where are BIGENDIAN routines?
#endif
